Q_GETINFO(2const)

NAME
Q_GETINFO - get information about quotafile.

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_GETINFO, type), const char *_Nullable special, 0,
             caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_GETINFO, type), 0,
            struct dqinfo *addr);

DESCRIPTION
Get information (like grace times) about quotafile.

The addr argument should be a pointer to a dqinfo(2type) structure.

Currently, the kernel fills in all entries of the dqinfo(2type) structure and marks them all as valid in the .dqi_valid field.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux 2.4.22.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_SETINFO(2const), dqinfo(2type)